return Def.ActorFrame{
	--[[
	LoadFont("_francophilsans Bold 24px")..{
		Name="MachineName";
		InitCommand=cmd(halign,0;shadowlength,1;zoom,18/24);
		BeginCommand=function(self)
			local p = PROFILEMAN:GetMachineProfile()
			if p then
				self:settextf("Machine Name: %s",p:GetDisplayName())
			else
				self:settext("Machine profile not found. ?!")
			end
		end;
	};
	--]]

	Def.ActorFrame{
		Name="SongsSection";
		LoadFont("_francophilsans Bold 24px")..{
			Name="Label";
			Text="- Songs -";
			InitCommand=cmd(halign,0;shadowlength,1;zoom,14/24);
		};

		LoadFont("_francophilsans Bold 24px")..{
			Name="SongsGroups";
			InitCommand=cmd(y,18;halign,0;shadowlength,1;zoom,18/24);
			BeginCommand=function(self)
				self:settextf("%i songs in %i groups",SONGMAN:GetNumSongs(),SONGMAN:GetNumSongGroups())
			end;
		};
		LoadFont("_francophilsans Bold 24px")..{
			Name="AdditionalSongsGroups";
			InitCommand=cmd(y,40;halign,0;shadowlength,1;zoom,18/24);
			BeginCommand=function(self)
				self:settextf("%i songs loaded from additional folders",SONGMAN:GetNumAdditionalSongs())
			end;
		};
		-- top 3 or 5 popular songs?
	};

	-- courses section
	Def.ActorFrame{
		Name="CourseSection";
		InitCommand=cmd(y,72);
		LoadFont("_francophilsans Bold 24px")..{
			Name="Label";
			Text="- Courses -";
			InitCommand=cmd(halign,0;shadowlength,1;zoom,14/24);
		};

		LoadFont("_francophilsans Bold 24px")..{
			Name="CoursesGroups";
			InitCommand=cmd(y,18;halign,0;shadowlength,1;zoom,18/24);
			BeginCommand=function(self)
				self:settextf("%i courses in %i groups",SONGMAN:GetNumCourses(),SONGMAN:GetNumCourseGroups())
			end;
		};
		LoadFont("_francophilsans Bold 24px")..{
			Name="AdditionalSongsGroups";
			InitCommand=cmd(y,40;halign,0;shadowlength,1;zoom,18/24);
			BeginCommand=function(self)
				self:settextf("%i courses loaded from additional folders",SONGMAN:GetNumAdditionalCourses())
			end;
		};
		-- top 3 or 5 popular courses?
	};
};